Bug 204599 - [MAINTAINER] multimedia/mpv: Update to 0.13.0
Summary: [MAINTAINER] multimedia/mpv: Update to 0.13.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J Puga Medina
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-16 15:08 UTC by Carlos J Puga Medina
Modified: 2015-11-23 02:21 UTC (History)
3 users (show)

See Also:


Attachments
v0 (1.18 KB, patch)
2015-11-16 15:08 UTC, Carlos J Puga Medina
cjpm: maintainer-approval+
Details | Diff
testport log on 93x32 (74.82 KB, text/x-log)
2015-11-17 21:47 UTC, Carlos J Puga Medina
no flags Details
testport log on 93x64 (74.57 KB, text/x-log)
2015-11-17 21:48 UTC, Carlos J Puga Medina
no flags Details
testport log on 10x32 (73.28 KB, text/x-log)
2015-11-17 21:48 UTC, Carlos J Puga Medina
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-11-16 15:08:01 UTC
Created attachment 163197 [details]
v0

- Update to 0.13.0

ref: https://github.com/mpv-player/mpv/releases/tag/v0.13.0
Comment 1 Carlos J Puga Medina 2015-11-17 21:47:21 UTC
Created attachment 163264 [details]
testport log on 93x32
Comment 2 Carlos J Puga Medina 2015-11-17 21:48:22 UTC
Created attachment 163265 [details]
testport log on 93x64
Comment 3 Carlos J Puga Medina 2015-11-17 21:48:44 UTC
Created attachment 163266 [details]
testport log on 10x32
Comment 4 Carlos J Puga Medina 2015-11-17 21:50:33 UTC
% portlint -ac
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 1 warning found.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-18 03:06:46 UTC
* Set DEVELOPER=yes in poudriere global make.conf
* Set maintainer-approval to + on attachments for ports you are maintainer of (yes, we want to automate this. soon...)
Comment 6 Carlos J Puga Medina 2015-11-19 00:24:11 UTC
(In reply to Kubilay Kocak from comment #5)

Done! Thanks for your pointers!
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-19 12:40:07 UTC
Comment on attachment 163266 [details]
testport log on 10x32

Log don't require approval
Comment 8 Carlos J Puga Medina 2015-11-19 14:09:50 UTC
(In reply to Kubilay Kocak from comment #7)

OK! Do you need something else?
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-19 14:11:06 UTC
(In reply to Carlos J Puga Medina from comment #8)

Apart from your review/approval on https://reviews.freebsd.org/D4162, this looks fine :)
Comment 10 Carlos J Puga Medina 2015-11-19 14:26:10 UTC
(In reply to Kubilay Kocak from comment #9)

Thanks for the reminder, Kubilay!
Comment 11 Jason Unovitch freebsd_committer 2015-11-20 00:58:42 UTC
Assign PR.
Comment 12 Jason Unovitch freebsd_committer 2015-11-20 01:00:48 UTC
Carlos,
Please address the additional QA shown with DEVELOPER=yes:
WARN: /usr/ports/multimedia/mpv/pkg-plist: [12]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/multimedia/mpv/pkg-plist: [13]: installing icons, please define INSTALLS_ICONS as appropriate
WARN: /usr/ports/multimedia/mpv/pkg-plist: [14]: installing icons, please define INSTALLS_ICONS as appropriate

Also present a commit message for review and I'll provide mentor approval if everything looks satisfactory.
Comment 13 Kurt Jaeger freebsd_committer 2015-11-22 17:15:00 UTC
Testbuilds all fine. Committed, thanks.
Comment 14 commit-hook freebsd_committer 2015-11-22 17:15:05 UTC
A commit references this bug:

Author: pi
Date: Sun Nov 22 17:14:37 UTC 2015
New revision: 402235
URL: https://svnweb.freebsd.org/changeset/ports/402235

Log:
  multimedia/mpv: 0.12.0 -> 0.13.0

  Changes:
    https://github.com/mpv-player/mpv/releases/tag/v0.13.0

  PR:		204599
  Submitted by:	Carlos J. Puga Medina <cpm@fbsd.es> (maintainer)

Changes:
  head/multimedia/mpv/Makefile
  head/multimedia/mpv/distinfo
Comment 15 commit-hook freebsd_committer 2015-11-22 17:17:07 UTC
A commit references this bug:

Author: pi
Date: Sun Nov 22 17:16:08 UTC 2015
New revision: 402236
URL: https://svnweb.freebsd.org/changeset/ports/402236

Log:
  multimedia/mpv: fix typo INSTALL_ICONS -> INSTALLS_ICONS

  PR:		204599

Changes:
  head/multimedia/mpv/Makefile
Comment 16 commit-hook freebsd_committer 2015-11-23 02:21:56 UTC
A commit references this bug:

Author: junovitch
Date: Mon Nov 23 02:21:09 UTC 2015
New revision: 402254
URL: https://svnweb.freebsd.org/changeset/ports/402254

Log:
  multimedia/mpv: address regressions from r402235 and r402236

  - Remove INSTALLS_ICONS (see r395763 commit message)
  - Set YTDL option as RUN_DEPENDS (see r402130 commit message)

  PR:		202806
  PR:		202337
  PR:             204599
  Reported by:	jbeich
  Approved by:	cpm (implicit from bug 202337 and 202806 approvals)

Changes:
  head/multimedia/mpv/Makefile